Commit graph

686 commits

Author SHA1 Message Date
Mikhail Novosyolov
0e6fa594e9 Replace tabs in kernel version with spaces for further processing by scripts 2021-03-24 20:59:25 +03:00
Mikhail Novosyolov
f0944c593a upd: 5.10.17 -> 5.10.18 2021-02-23 19:44:33 +03:00
Mikhail Novosyolov
cdc8727f3b Do not compile kernel twice (fix typo) 2021-02-23 17:37:31 +03:00
Mikhail Novosyolov
8444dbd85f Tune kernel interactivity
Change PREEMPT to PREEMPT_VOLUNTARY: it is a more in the middle interactivity which should be OK for both servers and desktops, Void Linux and Ubuntu have it. Previous value was too much preemption.
2021-02-23 14:57:41 +03:00
Mikhail Novosyolov
dde32b09b0 Disable support of libc5 (pre-glibc)
Nobody needs it. It is just an unmaintained potential security hole.
2021-02-23 14:31:45 +03:00
Mikhail Novosyolov
3bae1ac77e Enable accessibility (e.g. for readers of console output for blind users) 2021-02-23 13:48:54 +03:00
Mikhail Novosyolov
02d3e4d146 Virtio as module (no need to make it built in), enable VirtualBox guest modules 2021-02-23 13:28:34 +03:00
Mikhail Novosyolov
ec030c1652 Tune SND_HDA_PREALLOC_SIZE
Value 64 makes sense only for some not needed backwards compatibility,
modern default is 0, see https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/sound/hda/Kconfig?id=c31427d0d21e198c74d5d92082c4b8194b257f82 ("ALSA: hda: No preallocation on x86 platforms")

Kconfig recommends value 2048 for systems with PulseAudio, set it on non-x86 arches (see commit above, it sets 0 only for x86).
2021-02-23 12:42:24 +03:00
Mikhail Novosyolov
f6627710b3 Pick fix of some issues in Bluetooth
This patch is applied in Arch Linux kernel and has not been upstreamized yet.
Thanks to tsaruk1van@ for reporting existense of the issue (also with kernel 5.10) and that this fix works.
2021-02-23 01:57:43 +03:00
Mikhail Novosyolov
dd4314d2c8 Disable SOF_NOCODEC which prevented audio from working properly by loading nocodec module (as documented, this option just must not be enabled in distro kernels, as written in Kconfig) 2021-02-23 01:37:59 +03:00
Mikhail Novosyolov
b75353851c Adapt building sign-file with LibreSSL to recent changes
[user@rosa2019 tmp]$ diff -ur linux-5.10.11/scripts/Makefile linux-5.10.17/scripts/Makefile
--- linux-5.10.11/scripts/Makefile      2021-01-27 13:55:30.000000000 +0300
+++ linux-5.10.17/scripts/Makefile      2021-02-17 13:02:30.000000000 +0300
@@ -3,6 +3,9 @@
 # scripts contains sources for various helper programs used throughout
 # the kernel for the build process.

+CRYPTO_LIBS = $(shell pkg-config --libs libcrypto 2> /dev/null || echo -lcrypto)
+CRYPTO_CFLAGS = $(shell pkg-config --cflags libcrypto 2> /dev/null)
+
 hostprogs-always-$(CONFIG_BUILD_BIN2C)                 += bin2c
 hostprogs-always-$(CONFIG_KALLSYMS)                    += kallsyms
 hostprogs-always-$(BUILD_C_RECORDMCOUNT)               += recordmcount
@@ -14,8 +17,10 @@

 HOSTCFLAGS_sorttable.o = -I$(srctree)/tools/include
 HOSTCFLAGS_asn1_compiler.o = -I$(srctree)/include
-HOSTLDLIBS_sign-file = -lcrypto
-HOSTLDLIBS_extract-cert = -lcrypto
+HOSTCFLAGS_sign-file.o = $(CRYPTO_CFLAGS)
+HOSTLDLIBS_sign-file = $(CRYPTO_LIBS)
+HOSTCFLAGS_extract-cert.o = $(CRYPTO_CFLAGS)
+HOSTLDLIBS_extract-cert = $(CRYPTO_LIBS)

 ifdef CONFIG_UNWINDER_ORC
 ifeq ($(ARCH),x86_64)
2021-02-22 13:17:43 +03:00
Alexander Stefanov
8afcac7265 5.10.17 2021-02-17 17:50:56 +00:00
Mikhail Novosyolov
d5f2f5a038 upd: 5.4.10 -> 5.4.11 2021-01-27 22:22:05 +03:00
Alexander Stefanov
29c9ae09a8 5.10.10 2021-01-25 14:42:59 +00:00
Mikhail Novosyolov
0714c02863 Lighten protection against violating GPL to be able to build e.g. anbox kernel modules 2021-01-01 19:13:15 +03:00
Mikhail Novosyolov
be1690a0f7 Redrop UML on i586, it is not buildable and mostly useless
error: code model 'large' not supported in the 32 bit mode
2021-01-01 19:11:15 +03:00
Mikhail Novosyolov
7a29d5a563 Restore defconfig for UML and restore UML on i686
There are strange build problems with current config, I don't see sense in spending time on solving them because nobody has actually ever used this UML
vde-devel BR is probably not needed any more, but let's keep it for future...
2020-12-31 14:48:14 +03:00
Mikhail Novosyolov
c25b2095a3 drop UML on i586 to avois doing useless work 2020-12-30 22:31:45 +03:00
Mikhail Novosyolov
9133418d2c Fix BR for User Mode Linux after recent changes in config
/usr/include/libvdeplug.h is needed.
2020-12-30 21:25:08 +03:00
Mikhail Novosyolov
8519b1a444 Remake i586 config
Previous commit removed removing CONFIG_64BIT=y, but actually the config for i586 was incorrect because of that config value being set. Regenerated it with `setarch i386 make oldconfig`.
2020-12-30 21:16:28 +03:00
Mikhail Novosyolov
9f71e1f99e Minify build-time changes of configs, ship a config for UML, include all configs into SRPM 2020-12-30 19:56:25 +03:00
Mikhail Novosyolov
d23f37a9c9 upd: 5.10.3 -> 5.10.4, update configs, set more place for additional certificates (just test) 2020-12-30 18:12:31 +03:00
Mikhail Novosyolov
905b60d3c2 Avoid updating cpupower and perf from this not QA'd kernel after I publish it to rosa2016.1/contrib 2020-12-27 23:55:46 +03:00
Mikhail Novosyolov
9c1919cb5b Clean up deps and scriptlets
* the kernel may work OK without WiFi and firmware stuff, make it easy to uninstall it (e.g. when trying to save disk space in a VM)
* sysfsutils is not used in scriptlets, remove it
* symlinks vmlinuz-%{flavour} and initrd-%{flavour}.img have not existed for ages, they were removed lots of time ago in ROSA, there is no sense in trying to delete what does not exist and is never created
2020-12-27 23:46:32 +03:00
Mikhail Novosyolov
5c184f0011 Expicitly force Python3 in perf
Othersie in rosa2016.1 where python points to python2 python3 is not found.
2020-12-27 23:26:55 +03:00
Mikhail Novosyolov
824e9bc9f6 Softly suggest to set BFQ as default scheduler for HDDs 2020-12-27 16:14:09 +03:00
Mikhail Novosyolov
127e763665 upd: 5.10.2 -> 5.10.3 2020-12-27 15:55:00 +03:00
Mikhail Novosyolov
199aa73b37 Tune kernel config:
* disable Atom ISP as recommended by RussianNeuroMancer because it does not make cameras work on x86 Intel-based tablets where cameras are connected on i2c bus, but makes the camera consome power without working
* enable zswap by default and use the default allocator as in Arch Linux where zswap is enabled by default
  https://wiki.archlinux.org/index.php/Zswap
* tune values of sysctls from le9 patch to make it have at least some effect on typical desktop and server systems but avoid too agressive OOM killer on systems with 2 GB RAM and less where OOM killer kills too many process
  See discussion and my comments in the thread https://www.linux.org.ru/news/kernel/16052362
* remove not used variant of the patch which did not have any effect
2020-12-27 15:53:42 +03:00
Mikhail Novosyolov
24a4eefc34 test another version of le9 from pf-kernel maintainer 2020-12-26 19:53:02 +03:00
Mikhail Novosyolov
b62e019833 Test another le9 patch, I did not see affect of the previous one 2020-12-25 15:29:02 +03:00
Mikhail Novosyolov
bcdf18427e Experimental le9 patch
My variant, based on https://paste.rs/aNR.diff from https://www.linux.org.ru/news/kernel/16052362

TODO: add patch description
2020-12-24 02:13:54 +03:00
Mikhail Novosyolov
adeaa6a457 upd: 5.10.1 -> 5.10.2 2020-12-23 22:39:11 +03:00
Mikhail Novosyolov
1466db4534 Update configs
Update existing x86 configs manually
Make an arm64 config based on them instead on the old one which was temporary copypasted from ALT Linux

In most cases I answered to `make ARCH=xxx defconfig` like this:
N/y -> Y
N/m(/y) -> M
Y/n(/m) -> Y
M/n(/y) -> M
But did not enable odd debug.

Probably too much hardware is enabled on arm64.
2020-12-22 00:21:19 +03:00
Mikhail Novosyolov
5488a28d4b Update from 5.4 to 5.10.1
- rediffed most of patches, renamed files to easify further rediffs by git format-patch
- thanks to abf.io/kernels_stable for some patches for kernel 5.9
- using unofficial patch for AUFS for kernel 5.10, there may be issues with stability, try to avoid using AUFS (I would have dropped it, but MagOS wants it very much)
- pulled updates of AltHa from http://git.altlinux.org/gears/k/kernel-image-un-def.git?p=kernel-image-un-def.git;a=history;f=security/altha;hb=HEAD
- dropped patch adding sysctl to disable disk-based swap because it has not found any usage
- bpf is now in the list of LSM modules (ability to write LSM modules as BPF programs), enable it, it is potentially useful and does not seem to be harmful
- keeping kernel libc headers in older kernels for now
- dropped building external virtualbox guest modules because they are now included into the mainline kernel
- offed building VirtualBox host modules, I do not know how to keep these binary modules in sync with userspace part of VirtualBox, users can continue using dkms
- offed building kernel-shredder because it is not buildable on kernel 5.10
- updated rtl8821ce and added a dependency from its "blacklist" subpackage here (see https://github.com/tomaspinho/rtl8821ce/commit/14b536f0)

It is not clear if kernel 5.10 will receive an LTS support longer than 5.4 or not. Support until Dec, 2022 is declared right now at https://www.kernel.org/category/releases.html for 5.10 and until Dec, 2025 - for 5.4.

TODO: update kernel configs
TODO: solve problems with version of virtualbox host modules not matching version of the virtualbox package after virtualbox is updated but kernel is not rebuilt
2020-12-21 21:09:17 +03:00
Mikhail Novosyolov
cdf9863011 Reenable debug
Commit e2c112e4 disabled it, but debuginfo must exist.
2020-12-12 17:47:57 +03:00
alexander stefanov
34a09b7478 add more werror=0 2020-12-11 19:39:08 +00:00
alexander stefanov
6e0e21189d fix perf 2020-12-11 19:07:24 +00:00
Mikhail Novosyolov
a182d5061a upd: 5.4.81 -> 5.4.83 2020-12-11 20:46:44 +03:00
Mikhail Novosyolov
0c1710739f Fix hostname BR for rosa2016.1 2020-12-03 15:12:38 +03:00
Mikhail Novosyolov
c18d9f0320 upd: 5.4.80 -> 5.4.81
Changelog:

```
$ wget -qO- https://cdn.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.4.81 | grep ^Date: -A2 | grep -v ^Date: | sort -u
    arch: pgtable: define MAX_POSSIBLE_PHYSMEM_BITS where needed
    arm64: pgtable: Ensure dirty bit is preserved across pte_wrprotect()
    arm64: pgtable: Fix pte_accessible()
    arm64: tegra: Wrong AON HSP reg property size
    ARM: dts: dra76x: m_can: fix order of clocks
    ARM: OMAP2+: Manage MPU state properly for omap_enter_idle_coupled()
    ASoC: Intel: Allow for ROM init retry on CNL platforms
    ASoC: Intel: Multiple I/O PCM format support for pipe
    ASoC: Intel: Skylake: Automatic DMIC format configuration according to information from NHLT
    ASoC: Intel: Skylake: Await purge request ack on CNL
    ASoC: Intel: Skylake: Enable codec wakeup during chip init
    ASoC: Intel: Skylake: Remove superfluous chip initialization
    ASoC: Intel: Skylake: Select hda configuration permissively
    ASoC: Intel: Skylake: Shield against no-NHLT configurations
    batman-adv: set .owner to THIS_MODULE
    bnxt_en: fix error return code in bnxt_init_board()
    bnxt_en: fix error return code in bnxt_init_one()
    bnxt_en: Release PCI regions when DMA mask setup fails during probe.
    btrfs: don't access possibly stale fs_info data for printing duplicate device
    btrfs: fix lockdep splat when reading qgroup config on mount
    btrfs: tree-checker: add missing return after error in root_item
    btrfs: tree-checker: add missing returns after data_ref alignment checks
    bus: ti-sysc: Fix bogus resetdone warning on enable for cpsw
    can: gs_usb: fix endianess problem with candleLight firmware
    can: m_can: fix nominal bitiming tseg2 min for version >= 3.1
    can: m_can: m_can_open(): remove IRQF_TRIGGER_FALLING from request_threaded_irq()'s flags
    cifs: fix a memleak with modefromsid
    cxgb4: fix the panic caused by non smac rewrite
    dmaengine: pl330: _prep_dma_memcpy: Fix wrong burst size
    dmaengine: xilinx_dma: use readl_poll_timeout_atomic variant
    efi: EFI_EARLYCON should depend on EFI
    efivarfs: revert "fix memory leak in efivarfs_create()"
    HID: add HID_QUIRK_INCREMENT_USAGE_ON_DUPLICATE for Gamevice devices
    HID: Add Logitech Dinovo Edge battery quirk
    HID: add support for Sega Saturn
    HID: cypress: Support Varmilo Keyboards' media hotkeys
    HID: hid-sensor-hub: Fix issue with devices with no report ID
    HID: ite: Replace ABS_MISC 120/121 events with touchpad on/off keypresses
    HID: logitech-hidpp: Add HIDPP_CONSUMER_VENDOR_KEYS quirk for the Dinovo Edge
    HID: uclogic: Add ID for Trust Flex Design Tablet
    i40e: Fix removing driver while bare-metal VFs pass traffic
    IB/mthca: fix return value of error branch in mthca_init_cq()
    ibmvnic: fix call_netdevice_notifiers in do_reset
    ibmvnic: fix NULL pointer dereference in ibmvic_reset_crq
    ibmvnic: fix NULL pointer dereference in reset_sub_crq_queues
    ibmvnic: notify peers when failover and migration happen
    Input: i8042 - allow insmod to succeed on devices without an i8042 controller
    ipv4: use IS_ENABLED instead of ifdef
    irqchip/exiu: Fix the index of fwspec for IRQ type
    iwlwifi: mvm: write queue_sync_state only for sync
    KVM: arm64: vgic-v3: Drop the reporting of GICR_TYPER.Last for userspace
    KVM: PPC: Book3S HV: XIVE: Fix possible oops when accessing ESB page
    KVM: x86: Fix split-irqchip vs interrupt injection window request
    KVM: x86: handle !lapic_in_kernel case in kvm_cpu_*_extint
    Linux 5.4.81
    net: dsa: mv88e6xxx: Wait for EEPROM done after HW reset
    net: ena: set initial DMA width to avoid intel iommu issue
    netfilter: clear skb->next in NF_HOOK_LIST()
    nfc: s3fwrn5: use signed integer for parsing GPIO numbers
    nvme: free sq/cq dbbuf pointers when dbbuf set fails
    optee: add writeback to valid memory type
    perf probe: Fix to die_entrypc() returns error correctly
    perf stat: Use proper cpu for shadow stats
    perf/x86: fix sysfs type mismatches
    phy: tegra: xusb: Fix dangling pointer on probe failure
    platform/x86: thinkpad_acpi: Send tablet mode switch at wakeup time
    platform/x86: toshiba_acpi: Fix the wrong variable assignment
    powerpc/64s: Fix allnoconfig build since uaccess flush
    proc: don't allow async path resolution of /proc/self components
    RDMA/hns: Bugfix for memory window mtpt configuration
    RDMA/hns: Fix retry_cnt and rnr_cnt when querying QP
    s390/qeth: fix af_iucv notification race
    s390/qeth: fix tear down of async TX buffers
    s390/qeth: make af_iucv TX notification call more robust
    scsi: libiscsi: Fix NOP race condition
    scsi: target: iscsi: Fix cmd abort fabric stop race
    scsi: ufs: Fix race between shutdown and runtime resume flow
    smb3: Avoid Mid pending list corruption
    smb3: Call cifs reconnect from demultiplex thread
    smb3: Handle error case during offload read path
    spi: bcm2835aux: Restore err assignment in bcm2835aux_spi_probe
    spi: bcm2835: Fix use-after-free on unbind
    spi: bcm-qspi: Fix use-after-free on unbind
    staging: ralink-gdma: fix kconfig dependency bug for DMA_RALINK
    trace: fix potenial dangerous pointer
    USB: core: Change %pK for __user pointers to %px
    USB: core: Fix regression in Hercules audio card
    usb: gadget: Fix memleak in gadgetfs_fill_super
    usb: gadget: f_midi: Fix memleak in f_midi_alloc
    USB: quirks: Add USB_QUIRK_DISCONNECT_SUSPEND quirk for Lenovo A630Z TIO built-in usb-audio card
    vhost scsi: fix cmd completion race
    video: hyperv_fb: Fix the cache type when mapping the VRAM
    wireless: Use linux/stddef.h instead of stddef.h
    x86/mce: Do not overwrite no_way_out if mce_end() fails
    x86/resctrl: Add necessary kernfs_put() calls to prevent refcount leak
    x86/resctrl: Remove superfluous kernfs_get() calls to prevent refcount leak
    x86/speculation: Fix prctl() when spectre_v2_user={seccomp,prctl},ibpb
    x86/xen: don't unbind uninitialized lock_kicker_irq
    xtensa: uaccess: Add missing __user to strncpy_from_user() prototype
```
2020-12-03 14:33:38 +03:00
Mikhail Novosyolov
7a2a68a35a Enable shadows in AUFS
Requested by betcher@ / MagOS

aarch64 config is currently not in sync with x86, it will be synced later.
2020-12-03 14:24:26 +03:00
Mikhail Novosyolov
a916977128 shredder-kernel is x86_64 only, not buildable on x86_32 2020-11-27 23:00:06 +03:00
Mikhail Novosyolov
188d796585 BR hostname
DEBUG: ./scripts/mkcompile_h: line 48: hostname: command not found
2020-11-27 15:52:01 +03:00
Mikhail Novosyolov
e74e88e151 Fix typo
```
DEBUG: + make ARCH=i586 oldconfig
DEBUG: Makefile:583: arch/i586/Makefile: No such file or directory
DEBUG: make: *** No rule to make target 'arch/i586/Makefile'.  Stop.
DEBUG: + sed -i s/CONFIG_64BIT=y// arch/x86/configs/i586_defconfig-generic
DEBUG: sed: can't read arch/x86/configs/i586_defconfig-generic: No such file or directory
```
2020-11-27 15:44:21 +03:00
Mikhail Novosyolov
c972a6e092 Back i586
Commit 59b214f0 changed i586 to i686 as we changed in RPM,
but forgot to rename config:
error: Bad file: /builddir/build/SOURCES/kernel-i686.config: No such file or directory
But this spec is still supported on rosa2016.1, let's just use i586 here for now
2020-11-27 14:07:58 +03:00
Mikhail Novosyolov
f4867fbcaa Enable GOST signatures of kernel modules on rosa2019.1, they work now well 2020-11-27 01:34:07 +03:00
Mikhail Novosyolov
3f15f9038b Fix building perf on aarch64 2020-11-27 01:21:49 +03:00
mikhailnov
c75db816bb Merge pull request #1 from fedya/kernel-5.4:rosa2019.1
add aarch64, lint spec
2020-11-26 22:06:39 +00:00
e2c112e47c disable useless debug 2020-11-26 22:03:53 +00:00
alexander stefanov
ded0ab746e disable perf and cpupower for aarch64, its working but need to adjust makefiles 2020-11-26 21:44:31 +00:00